# The MEME Suite

## Motif-based sequence analysis tools

## prosite2meme

### Usage:

`prosite2meme [options] <PROSITE file>+`

### Description

Converts PROSITE fixed-length patterns into MEME motifs Variable-length PROSITE patterns are skipped.

### Input

#### <PROSITE file>+

The names of one or more pattern files in PROSITE format.

PROSITE entries describe a motif as a regular expression. Not all PROSITE patterns can be converted into MEME motifs due to anchors or variable length. The first two patterns below will be converted. The third one will not because it contains variable-length regions (indicated by the numbers is parentheses. The fourth pattern will only be converted if the `-anchor` option is given because it is anchored at the C-terminus (indcated by the less-than sign at the end of the regular expression.)

##### Sample Input

    ID   ASN_GLYCOSYLATION; PATTERN.
    AC   PS00001;
    PA   N-{P}-[ST]-{P}.
    //
    ID   GUANYLATE_KINASE_1; PATTERN.
    AC   PS00856;
    PA   [TS]-[ST]-R-x(2)-[KR]-x(2)-[DE]-x(2)-[GA]-x(2)-Y-x-[FY]-[LIVMKHRT].
    //
    ID   AA_TRANSFER_CLASS_4; PATTERN.
    AC   PS00770;
    PA   E-x-[STAGCI]-x(2)-N-[LIVMFAC]-[FY]-x(6,12)-[LIVMFA]-x-T-x(6,8)-[LIVM]-x-
    PA   [GS]-[LIVM]-x-[KR].
    //
    ID   ER_TARGET; PATTERN.
    AC   PS00014;
    PA   [KRHQSA]-[DENQ]-E-L>.

### Output

### Options

Option | Parameter | Description | Default Behavior
--- | --- | --- | ---
General Options
-anchored |  | Convert anchored PROSITE patterns. The resulting motif will not be anchored. | Do not convert anchored PROSITE patterns.